﻿<%@ Page Title="Customers 2" Language="C#" MasterPageFile="~/MIT.master" %>

<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form id="form1" runat="server">
    <h2>Customers</h2>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
        AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="CustNbr" 
        DataSourceID="SqlDataSource1">
        <Columns>
            <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
            <asp:BoundField DataField="CustNbr" HeaderText="CustNbr" ReadOnly="True" 
                SortExpression="CustNbr" />
            <asp:BoundField DataField="Company" HeaderText="Company" 
                SortExpression="Company" />
            <asp:BoundField DataField="CustRep" HeaderText="CustRep" 
                SortExpression="CustRep" />
            <asp:BoundField DataField="CreditLimit" HeaderText="CreditLimit" 
                SortExpression="CreditLimit" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:MIT1264ConnectionString %>" 
        DeleteCommand="DELETE FROM [Customers] WHERE [CustNbr] = @CustNbr" 
        InsertCommand="INSERT INTO [Customers] ([CustNbr], [Company], [CustRep], [CreditLimit]) VALUES (@CustNbr, @Company, @CustRep, @CreditLimit)" 
        SelectCommand="SELECT * FROM [Customers] ORDER BY [Company]" 
        UpdateCommand="UPDATE [Customers] SET [Company] = @Company, [CustRep] = @CustRep, [CreditLimit] = @CreditLimit WHERE [CustNbr] = @CustNbr">
        <DeleteParameters>
            <asp:Parameter Name="CustNbr" Type="String" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="CustNbr" Type="String" />
            <asp:Parameter Name="Company" Type="String" />
            <asp:Parameter Name="CustRep" Type="String" />
            <asp:Parameter Name="CreditLimit" Type="Decimal" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Company" Type="String" />
            <asp:Parameter Name="CustRep" Type="String" />
            <asp:Parameter Name="CreditLimit" Type="Decimal" />
            <asp:Parameter Name="CustNbr" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>
    </form>
</asp:Content>

